gdk-sharp Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object Object representing a physical screen. To be added
- Constructor
  To be added
  To be added
- Constructor
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  Gdk.Window The current active window for the screen. a . Returns if there is no current active window or the window manager doesn't support the necessary properties to determine the active window.
- Event
  GLib.Signal("composited-changed")
  System.EventHandler Raised when the composited status of the screen changes.
- Property
  Gdk.Screen The default screen of the default display. The default . Returns null if there iss no default display.
- Property
  Gdk.Display To be added a To be added
- Property
  GLib.Property("font-options")
  Cairo.FontOptions The default font options for the screen. The default . If multiple accesses to this information are needed, you may want to consider cacheing the result. The get accessor needs to use reflection to create the FontOptions instance and could possibly cause performance issues if called frequently.
- Method
  System.Int32 `` `` A representing the x coordinate on the virtual screen. A representing the y coordinate on the virtual screen. Gets the monitor number where the point is located. A indicating the monitor where the point is located. If the point isn't in any monitor, then the nearest monitor is returned.
- Method
  System.Int32 `` A whose main monitor is claimed. Gets the monitor that contains most of the given window. A indicating the required monitor. If the window does not intersect any of the monitors, then the a close one is returned.
- Method
  Gdk.Rectangle `` a To be added a To be added
- Method
  System.Int32 `` To be added. To be added. To be added. To be added.
- Method
  System.String `` To be added. To be added. To be added. To be added.
- Method
  System.Int32 `` To be added. To be added. To be added. To be added.
- Method
  System.Boolean `` `` a a To be added a To be added
- Property
  GLib.GType GType Property. a Returns the native value for .
- Property
  System.Int32 The height of the screen in pixels. A with the number of pixels of the screen.
- Property
  System.Int32 The height of the screen in millimeters. A with the height of the screen in millimeters.
- Property
  System.Boolean Indicates if compositing is supported. If compositing is supported. Indicates if RGBA visuals with an alpha value can be expected to have their alpha channel drawn properly on screen.
- Method
  Gdk.Visual[] To be added a To be added
- Method
  System.String To be added a To be added
- Event
  GLib.Signal("monitors-changed")
  System.EventHandler To be added. To be added.
- Property
  System.Int32 To be added a

  Returns an of the number of monitors attached to the current .

  The following example will print the number of monitors in the current display to the console.

  `Display theDisplay = Display.OpenDefaultLibgtkOnly(); Screen defaultScreen = theDisplay.DefaultScreen; int numMonitors = defaultScreen.NMonitors; Console.WriteLine("You have {0} monitors.",numMonitors);`
- Property
  System.Int32 To be added a To be added
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideBroadcastClientMessage", Type=typeof(Gdk.Screen))
  System.Void `` To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideCompositedChanged", Type=typeof(Gdk.Screen))
  System.Void Default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetActiveWindow", Type=typeof(Gdk.Screen))
  Gdk.Window To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetDisplay", Type=typeof(Gdk.Screen))
  Gdk.Display To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetHeight", Type=typeof(Gdk.Screen))
  System.Int32 To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetHeightMm", Type=typeof(Gdk.Screen))
  System.Int32 To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetMonitorGeometry", Type=typeof(Gdk.Screen))
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetMonitorHeightMm", Type=typeof(Gdk.Screen))
  System.Int32 `` To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetMonitorPlugName", Type=typeof(Gdk.Screen))
  System.String `` To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetMonitorWidthMm", Type=typeof(Gdk.Screen))
  System.Int32 `` To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetNMonitors", Type=typeof(Gdk.Screen))
  System.Int32 To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetNumber", Type=typeof(Gdk.Screen))
  System.Int32 To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetPrimaryMonitor", Type=typeof(Gdk.Screen))
  System.Int32 To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetRgbaVisual", Type=typeof(Gdk.Screen))
  Gdk.Visual To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetRootWindow", Type=typeof(Gdk.Screen))
  Gdk.Window To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetSetting", Type=typeof(Gdk.Screen))
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetSystemVisual", Type=typeof(Gdk.Screen))
  Gdk.Visual To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetWidth", Type=typeof(Gdk.Screen))
  System.Int32 To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetWidthMm", Type=typeof(Gdk.Screen))
  System.Int32 To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetWindowStack", Type=typeof(Gdk.Screen))
  Gdk.Window[] To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideIsComposited", Type=typeof(Gdk.Screen))
  System.Boolean To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideListVisuals", Type=typeof(Gdk.Screen))
  GLib.List To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideMakeDisplayName", Type=typeof(Gdk.Screen))
  System.String To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideMonitorsChanged", Type=typeof(Gdk.Screen))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideQueryDepths", Type=typeof(Gdk.Screen))
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideQueryVisualTypes", Type=typeof(Gdk.Screen))
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSizeChanged", Type=typeof(Gdk.Screen))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideVisualGetBest", Type=typeof(Gdk.Screen))
  Gdk.Visual To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideVisualGetBestDepth", Type=typeof(Gdk.Screen))
  System.Int32 To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideVisualGetBestType", Type=typeof(Gdk.Screen))
  Gdk.VisualType To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideVisualGetBestWithBoth", Type=typeof(Gdk.Screen))
  Gdk.Visual `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideVisualGetBestWithDepth", Type=typeof(Gdk.Screen))
  Gdk.Visual `` To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideVisualGetBestWithType", Type=typeof(Gdk.Screen))
  Gdk.Visual `` To be added. To be added. To be added. To be added.
- Property
  System.Int32 To be added. To be added. To be added.
- Property
  GLib.Property("resolution")
  System.Double The resolution for fonts on the screen. the scaling factor from pango units to cairo units. The default is -1.
- Property
  Gdk.Visual A Visual to use for creating Drawables with an alpha channel. a or . Returns if the capability is not available. See for caveats.
- Property
  Gdk.Window To be added a To be added
- Event
  GLib.Signal("size-changed")
  System.EventHandler To be added To be added
- Property
  Gdk.Visual To be added a To be added
- Property
  Gdk.Window[] To be added a To be added
- Property
  System.Int32 The width of the screen in pixels. A with the number of pixels of the screen.
- Property
  System.Int32 The width of the screen in millimeters. A with the width of the screen in millimeters.
- Property
  Gdk.Window[] The current window stack for the screen. an array of representing the window stack. This property depends on optional Window Manager features. If the feature is not supported, an empty array will be returned.